package com.willshex.android.fingerspell;

import org.bithir.fingerspell.WordEngine;

import android.app.Activity;

import com.willshex.android.fingerspell.utilities.SettingsUtility;

public class DictionaryPreloader extends Thread {
	
	private Activity context = null;
	private LoadsDictionary loaderCallback = null;
	
	private DictionaryPreloader(Activity context, LoadsDictionary callback) {
		this.context = context;
		this.loaderCallback = callback;
		
		return;
	}

	public static void load(Activity context, LoadsDictionary callback) {
		(new DictionaryPreloader(context, callback)).start();
		
		return;
	}
	
	@Override
	public void run() {
		super.run();	
		
		loaderCallback.startLoading();
		
		// pre-load the dictionary
		WordEngine test = SettingsUtility.getWordEngine(context);
		test.getWordStartingWith('a');
		
		loaderCallback.doneLoading();
		
		return;
	}
	
}
